Type to search.

Get a paginated set of alerts

Base URL
https://{kibana_url}
  • GET /api/alerts/alerts/_find
  • GET /s/{space_id}/api/alerts/alerts/_find
Auth Deprecated

Deprecated in 7.13.0. Use the find rules API instead. NOTE: Alert params are stored as a flattened field type and analyzed as keywords. As alerts change in Kibana, the results on each page of the response also change. Use the find API for traditional paginated results, but avoid using it to export large amounts of data.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

default_search_operator string · default: OR

The default operator to use for the simple_query_string.

fields string[]

The fields to return in the attributes key of the response.

filter string

A KQL string that you filter with an attribute from your saved object. It should look like savedObjectType.attributes.title: "myTitle". However, if you used a direct attribute of a saved object, such as updatedAt, you must define your filter, for example, savedObjectType.updatedAt > 2018-12-22.

page integer · default: 1

The page number to return.

per_page integer · default: 20

The number of alerts to return per page.

An Elasticsearch simple_query_string query that filters the alerts in the response.

search_fields union string | string[]

The fields to perform the simple_query_string parsed query against.

sort_field string

Determines which field is used to sort the results. The field must exist in the attributes key of the response.

sort_order enum · default: desc

Determines the sort order.

Values: asc desc

Responses

Indicates a successful call.

application/json
page integer
perPage integer
total integer